import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Letame{
    constructor () {
        this.data = {
						letamep:{
							ramrollab:"",			//  Label for RAMROL		.letamep.ramrollab
							recget:{
								sdamod:{
									seainf:"",			//  Reference		.letamep.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.letamep.recget.sdamod.dadsnd
								},
							},
							amenbr:"",			//  Actual Amendment No		.letamep.amenbr
							engcur:"",			//  Total Amendment		.letamep.engcur
							engamt:"",			//  Total Amendment		.letamep.engamt
							maxcur:"",			//  Currency of Maximum Amount		.letamep.maxcur
							maxamt:"",			//  New Maximum Amount		.letamep.maxamt
							ramrol:"",			//  Request of Amendment send to		.letamep.ramrol
							benconflg:"",			//  Beneficiary's Confirmation Required		.letamep.benconflg
							benaccflg:"",			//  Amendment Accepted by Beneficiary		.letamep.benaccflg
							cre707flg:"",			//  Create Amendment Message-Flag		.letamep.cre707flg
							lcrgodame:{
								buttxmsel:"",			//  ...		.letamep.lcrgodame.buttxmsel
							},
							lcrdocame:{
								buttxmsel:"",			//  ...		.letamep.lcrdocame.buttxmsel
							},
							adlcndame:{
								buttxmsel:"",			//  ...		.letamep.adlcndame.buttxmsel
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  Reference		.ledgrp.rec.ownref
								nam:"",			//  Name		.ledgrp.rec.nam
								lcrtyp:"",			//  Form of L/C		.ledgrp.rec.lcrtyp
								collflg:"",			//  Collateralized L/C		.ledgrp.rec.collflg
								nomtop:"",			//  Amount Tolerance +/-		.ledgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.ledgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.ledgrp.rec.nomspc
								inctrf:"",			//  Incoming Transfer		.ledgrp.rec.inctrf
								resflg:"",			//  Reserved Contract		.ledgrp.rec.resflg
								opndat:"",			//  Issued on		.ledgrp.rec.opndat
								preadvdt:"",			//  Date Pre-advised		.ledgrp.rec.preadvdt
								shpdat:"",			//  Shipment Date		.ledgrp.rec.shpdat
								advdat:"",			//  Released on		.ledgrp.rec.advdat
								expdat:"",			//  Expiring on		.ledgrp.rec.expdat
								expplc:"",			//  in (Place)/ counters of		.ledgrp.rec.expplc
								cnfdet:"",			//  Confirmation Instruct.		.ledgrp.rec.cnfdet
								apprul:"",			//  Applicable Rules		.ledgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.ledgrp.rec.apprultxt
								shppar:"",			//  Partial Shipment		.ledgrp.rec.shppar
								shptrs:"",			//  Transshipment		.ledgrp.rec.shptrs
								revflg:"",			//  Revolving Flag		.ledgrp.rec.revflg
								nonban:"",			//  Non-Bank Issuer		.ledgrp.rec.nonban
								teskeyunc:"",			//  Test Key Unconfirmity		.ledgrp.rec.teskeyunc
								dbtflg:"",			//  Authorization to Debit		.ledgrp.rec.dbtflg
								oppbnk:"",			//  境内外对手行代码		.ledgrp.rec.oppbnk
								shppars18:"",			//  Partial Shipment		.ledgrp.rec.shppars18
								shptrss18:"",			//  Transshipment		.ledgrp.rec.shptrss18
								avbwth:"",			//  Available with		.ledgrp.rec.avbwth
								avbby:"",			//  Available by		.ledgrp.rec.avbby
								shpfro:"",			//  Dispatch from		.ledgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.ledgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.ledgrp.rec.pordis
								shpto:"",			//  Final Destination		.ledgrp.rec.shpto
								chato:"",			//  Own Charges Borne by		.ledgrp.rec.chato
								stacty:"",			//  Country Code for Statistics		.ledgrp.rec.stacty
								tenmaxday:"",			//  Maximum Tenor		.ledgrp.rec.tenmaxday
								prepers18:"",			//  Days of presentation period		.ledgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.ledgrp.rec.prepertxts18
								cnfins:"",			//  Confirm. Instruct.		.ledgrp.rec.cnfins
								aplbnkdirsnd:"",			//  Send Directly to Applicant's Bank		.ledgrp.rec.aplbnkdirsnd
								redclsflg:"",			//  Red/Green Clause		.ledgrp.rec.redclsflg
								spcbenflg:"",			//  Special payment conditions for beneficiary exists		.ledgrp.rec.spcbenflg
								spcrcbflg:"",			//  Special Payment Conditions for specified Bank only		.ledgrp.rec.spcrcbflg
								revtyp:"",			//  Revolving Type		.ledgrp.rec.revtyp
								revcum:"",			//  Credit is Marked as Cumulative		.ledgrp.rec.revcum
								revtimes:"",			//  Revolve Times		.ledgrp.rec.revtimes
								revnbr:"",			//  Revolving Count		.ledgrp.rec.revnbr
								revdat:"",			//  Next Revolve Date		.ledgrp.rec.revdat
							},
							cbs:{
								nom1:{
									cur:"",			//  Nominal Amount		.ledgrp.cbs.nom1.cur
									amt:"",			//  Nominal Amount		.ledgrp.cbs.nom1.amt
								},
								max2:{
									cur:"",			//  Additional Amount		.ledgrp.cbs.max2.cur
									amt:"",			//  Additional Amount		.ledgrp.cbs.max2.amt
								},
								max:{
									cur:"",			//  Maximum Amount		.ledgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.ledgrp.cbs.max.amt
								},
								opn2:{
									cur:"",			//  Open Add. Amount		.ledgrp.cbs.opn2.cur
									amt:"",			//  Open Add. Amount		.ledgrp.cbs.opn2.amt
								},
							},
							preadvflg:"",			//  PreAdvice or Notification		.ledgrp.preadvflg
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.ben.namelc
								adrelc:"",			//  地址		.ledgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.ben.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.iss.namelc
								adrelc:"",			//  地址		.ledgrp.iss.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.iss.dbfadrblkcn
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.apl.namelc
								adrelc:"",			//  地址		.ledgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.apl.dbfadrblkcn
							},
							avb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.avb.namelc
								adrelc:"",			//  地址		.ledgrp.avb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.avb.dbfadrblkcn
							},
							blk:{
								avbwthtxt:"",			//  Available in		.ledgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.ledgrp.blk.defdet
								dftat:"",			//  Drafts at		.ledgrp.blk.dftat
								shpper:"",			//  Shipment Period		.ledgrp.blk.shpper
								mixdet:"",			//  Mixed Payment Details		.ledgrp.blk.mixdet
								preper:"",			//  Presentation Period		.ledgrp.blk.preper
								feetxt:"",			//  Additional Details to Code for Charges CHATO		.ledgrp.blk.feetxt
								addamtcov:"",			//  Covered		.ledgrp.blk.addamtcov
								lcrgodame:"",			//  Description of Goods History		.ledgrp.blk.lcrgodame
								lcrdocame:"",			//  Documents Required History		.ledgrp.blk.lcrdocame
								adlcndame:"",			//  Additional  Conditions History		.ledgrp.blk.adlcndame
								insbnk:"",			//  Instructions to Paying/Accepting/Negotiating Bank		.ledgrp.blk.insbnk
								insbnkame:"",			//  Instruction to Paying/Accepting/Negotiating Bank History		.ledgrp.blk.insbnkame
								revcls:"",			//  Revolving Clause		.ledgrp.blk.revcls
								revnotes:"",			//  Notes to Beneficiary		.ledgrp.blk.revnotes
								spcrcbame:"",			//  Special Payment Conditions for Bank Only History		.ledgrp.blk.spcrcbame
								spcbename:"",			//  Special payment Conditions for beneficiary History		.ledgrp.blk.spcbename
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.drw.namelc
								adrelc:"",			//  地址		.ledgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.drw.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.adv.namelc
								adrelc:"",			//  地址		.ledgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.adv.dbfadrblkcn
							},
							a2b:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.a2b.namelc
								adrelc:"",			//  地址		.ledgrp.a2b.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.a2b.dbfadrblkcn
							},
							apb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.apb.namelc
								adrelc:"",			//  地址		.ledgrp.apb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.apb.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.rmb.namelc
								adrelc:"",			//  地址		.ledgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.rmb.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
							},
						},
						trnmod:{
							swiadd:{
								amedat:"",			//  Amendment Date		.trnmod.swiadd.amedat
								amenbr:"",			//  Amend. No Received		.trnmod.swiadd.amenbr
								amecur:"",			//  Amended		.trnmod.swiadd.amecur
								ameamt:"",			//  Amended		.trnmod.swiadd.ameamt
								newcur:"",			//  New Data		.trnmod.swiadd.newcur
								newamt:"",			//  New Data		.trnmod.swiadd.newamt
								newnomtop:"",			//  New positive tolerance		.trnmod.swiadd.newnomtop
								newnomton:"",			//  New negative tolerance		.trnmod.swiadd.newnomton
								nomspc:"",			//  Amount Specification		.trnmod.swiadd.nomspc
								newexpdat:"",			//  New Expiry Date		.trnmod.swiadd.newexpdat
								newshpdat:"",			//  New Shipment Date		.trnmod.swiadd.newshpdat
								shpper:"",			//  Shipment Period		.trnmod.swiadd.shpper
								shpfro:"",			//  Dispatch from		.trnmod.swiadd.shpfro
								porloa:"",			//  Air-/Port of Loading		.trnmod.swiadd.porloa
								pordis:"",			//  Air-/Port of Discharge		.trnmod.swiadd.pordis
								shpto:"",			//  Final Destination		.trnmod.swiadd.shpto
								addamtcov:"",			//  Amounts Covered		.trnmod.swiadd.addamtcov
								addamt:"",			//  Amounts Covered		.trnmod.swiadd.addamt
								insbnk:"",			//  Instruction to P/A/N Bank amendment		.trnmod.swiadd.insbnk
							},
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						oldledgrp:{
							cbs:{
								nom1:{
									amt:"",			//  Original Data		.oldledgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.oldledgrp.cbs.max.cur
									amt:"",			//  Balance		.oldledgrp.cbs.max.amt
								},
							},
							rec:{
								nomtop:"",			//  Amount Tolerance - Positive		.oldledgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.oldledgrp.rec.nomton
								expdat:"",			//  Date of Expiry		.oldledgrp.rec.expdat
								shpdat:"",			//  Shipment Date		.oldledgrp.rec.shpdat
								prepers18:"",			//  Days of presentation period		.oldledgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.oldledgrp.rec.prepertxts18
							},
						},
						letp:{
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.letp.aamp.aammod.addamtflg
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.letp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.letp.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.letp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.letp.usrget.sdamod.seainf
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							issp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.issp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.issp.ptsget.sdamod.dadsnd
									},
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							oppbnkl:"",			//  对手行代码		.letp.oppbnkl
							avbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.avbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.avbp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							labdefdet:"",			//  DEFDAT LAbel		.letp.labdefdet
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							a2bp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.a2bp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.a2bp.ptsget.sdamod.dadsnd
									},
								},
							},
							apbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.apbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.apbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.letp.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.letp.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.letp.ptsaddp.ptsaddg
							},
							conp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.letp.conp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.letp.conp.ptsget.sdamod.seainf
									},
								},
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}